curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v1/items/{itemId}/suppliers/{supplierId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Sku": "<string>",
"ItemName": "<string>",
"IsStandard": true,
"PurchasePriceNet": 123,
"TaxRate": 123,
"MinimumPurchaseQuantity": 123,
"PermissibleOrderQuantity": 123,
"DeliveryTime": 123,
"UseSupplierDeliveryTime": true,
"Stocklevel": 123,
"IsDropshipping": true,
"MergeStockLevel": true,
"Comment": "<string>",
"PackagingUnit": "<string>",
"AmountPackagingUnit": 123,
"ScalePrices": [
{
"FromQuantity": 123,
"PurchasePriceNet": 123,
"ReduceStandardPriceByPercent": 123
}
]
}
'import requests
url = "https://api.jtl-cloud.com/erp/v1/items/{itemId}/suppliers/{supplierId}"
payload = {
"Sku": "<string>",
"ItemName": "<string>",
"IsStandard": True,
"PurchasePriceNet": 123,
"TaxRate": 123,
"MinimumPurchaseQuantity": 123,
"PermissibleOrderQuantity": 123,
"DeliveryTime": 123,
"UseSupplierDeliveryTime": True,
"Stocklevel": 123,
"IsDropshipping": True,
"MergeStockLevel": True,
"Comment": "<string>",
"PackagingUnit": "<string>",
"AmountPackagingUnit": 123,
"ScalePrices": [
{
"FromQuantity": 123,
"PurchasePriceNet": 123,
"ReduceStandardPriceByPercent": 123
}
]
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Sku: '<string>',
ItemName: '<string>',
IsStandard: true,
PurchasePriceNet: 123,
TaxRate: 123,
MinimumPurchaseQuantity: 123,
PermissibleOrderQuantity: 123,
DeliveryTime: 123,
UseSupplierDeliveryTime: true,
Stocklevel: 123,
IsDropshipping: true,
MergeStockLevel: true,
Comment: '<string>',
PackagingUnit: '<string>',
AmountPackagingUnit: 123,
ScalePrices: [{FromQuantity: 123, PurchasePriceNet: 123, ReduceStandardPriceByPercent: 123}]
})
};
fetch('https://api.jtl-cloud.com/erp/v1/items/{itemId}/suppliers/{supplierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Update Item Supplier
Update the information for a specific supplier for a given item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The unique id of the item.
The unique id of the supplier.
Body
The itemSupplier to update.
Model Class: UpdateItemSupplier
Item SKU from the supplier.
Item name from the supplier.
Defines the main supplier for the given item.
Net purchase price from the supplier.
Percent of VAT tax rate.
The minimum purchase quantity from the supplier.
The permissible order quantity for the item from the supplier. The increments in which the item can be sold.
Delivery time in days.
If set to true, Wawi will use the delivery time provided by the supplier and not by the item information. DeliveryTime will then be ignored.
Stock level of the item at the supplier.
Activates drop shipping for a given item and supplier.
Forces Wawi to add the supplier's stock to your own stock.
Comment for the supplier.
Name of the packaging unit.
Quantity in a packaging unit.
Scale prices from this supplier for the item.
Show child attributes
Show child attributes
Response
Was this page helpful?